Delete a Connection Field - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
DELETE
/ v2.0 / connections / {connectionId} / fields / {fieldName}
Delete a Connection Field
cURL
curl --request DELETE \
--url https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName} \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/connections/{connectionId}/fields/{fieldName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
| Code | Status | Detail |
|---|---|---|
| 204 | No Content | The Connection field was deleted successfully. |
| 400 | Bad Request | Validation failed. Missing payload. |
| 401 | Unauthorized | |
| 402 | Payment Required | Validation failed. Missing payload. |
| 403 | Forbidden | |
| 404 | Not Found | |
| 405 | Method Not Allowed | |
| 409 | Conflict | |
| 413 | Payload Too Large | |
| 500 | Internal Server Error | |
| 501 | Not Implemented | |
| 502 | Bad Gateway | |
| 503 | Service Unavailable | |
| 504 | Gateway Timeout |
Authorizations
- X-API-Key: required, string, header Supply the API Key in the HTTP-Header.
Headers
- Accept: enum
The Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
connectionId: string, required The Id of the Connection. Required string length:
24. Pattern:^[a-z0-9]{24}$fieldName: string, required The name of the Connection field.